Public bug reported:

== Comment: #0 - NAGESWARA R. SASTRY <nasas...@in.ibm.com> - 2018-02-13 
23:52:48 ==
---Problem Description---
While doing memory hotplug seeing the following error from libvirt

error: Failed to attach device from mem_hp_512m.xml
error: this function is not supported by the connection driver: 
virSecurityManagerSetMemoryLabel
 
Contact Information = nasas...@in.ibm.com 
 
---uname output---
Linux hostname 4.13.0-32-generic #35-Ubuntu SMP Thu Jan 25 09:05:20 UTC 2018 
ppc64le ppc64le ppc64le GNU/Linux
 
Machine Type = 5104-22C, TN71-BP012 
 
---Debugger---
A debugger is not configured
 
---Steps to Reproduce---
 1. Install host with Ubuntu18.04 
2. Start the Ubuntu18.04 guest with memory hotplug enabled guest xml tags
3. Do the memory hotplug
# virsh attach-device virt-tests-vm1-nrs mem_hp_512m.xml --live
error: Failed to attach device from mem_hp_512m.xml
error: this function is not supported by the connection driver: 
virSecurityManagerSetMemoryLabel

Will attach guest xml, memory hotplug xml, sosreport

== Comment: #1 - NAGESWARA R. SASTRY <nasas...@in.ibm.com> - 2018-02-13
23:54:07 ==


== Comment: #2 - NAGESWARA R. SASTRY <nasas...@in.ibm.com> - 2018-02-13 
23:54:39 ==


== Comment: #3 - NAGESWARA R. SASTRY <nasas...@in.ibm.com> - 2018-02-14 
00:08:07 ==


== Comment: #4 - NAGESWARA R. SASTRY <nasas...@in.ibm.com> - 2018-02-14 
00:09:06 ==
# dpkg -l | grep "libvirt\|qemu"
ii  ipxe-qemu                              1.0.0+git-20180124.fbe8c52d-0ubuntu2 
all          PXE boot firmware - ROM images for qemu
ii  ipxe-qemu-256k-compat-efi-roms         1.0.0+git-20150424.a25a16d-0ubuntu2  
all          PXE boot firmware - Compat EFI ROM images for qemu
ii  libvirt-bin                            4.0.0-1ubuntu2                       
ppc64el      programs for the libvirt library
ii  libvirt-clients                        4.0.0-1ubuntu2                       
ppc64el      Programs for the libvirt library
ii  libvirt-daemon                         4.0.0-1ubuntu2                       
ppc64el      Virtualization daemon
ii  libvirt-daemon-driver-storage-rbd      4.0.0-1ubuntu2                       
ppc64el      Virtualization daemon RBD storage driver
ii  libvirt-daemon-system                  4.0.0-1ubuntu2                       
ppc64el      Libvirt daemon configuration files
ii  libvirt-dev:ppc64el                    4.0.0-1ubuntu2                       
ppc64el      development files for the libvirt library
ii  libvirt-glib-1.0-0:ppc64el             1.0.0-1                              
ppc64el      libvirt GLib and GObject mapping library
ii  libvirt0:ppc64el                       4.0.0-1ubuntu2                       
ppc64el      library for interfacing with different virtualization systems
ii  python-libvirt                         4.0.0-1                              
ppc64el      libvirt Python bindings
ii  qemu-block-extra:ppc64el               1:2.11+dfsg-1ubuntu1                 
ppc64el      extra block backend modules for qemu-system and qemu-utils
ii  qemu-kvm                               1:2.11+dfsg-1ubuntu1                 
ppc64el      QEMU Full virtualization on x86 hardware
ii  qemu-slof                              20170724+dfsg-1ubuntu1               
all          Slimline Open Firmware -- QEMU PowerPC version
ii  qemu-system-common                     1:2.11+dfsg-1ubuntu1                 
ppc64el      QEMU full system emulation binaries (common files)
ii  qemu-system-ppc                        1:2.11+dfsg-1ubuntu1                 
ppc64el      QEMU full system emulation binaries (ppc)
ii  qemu-utils                             1:2.11+dfsg-1ubuntu1                 
ppc64el      QEMU utilities

== Comment: #5 - NAGESWARA R. SASTRY <nasas...@in.ibm.com> - 2018-02-14 
00:09:33 ==
kernel version:
# uname -a
Linux ltc-boston128 4.13.0-32-generic #35-Ubuntu SMP Thu Jan 25 09:05:20 UTC 
2018 ppc64le ppc64le ppc64le GNU/Linux

== Comment: #6 - NAGESWARA R. SASTRY <nasas...@in.ibm.com> - 2018-02-14
01:12:28 ==

** Affects: libvirt (Ubuntu)
     Importance: Undecided
     Assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
         Status: New


** Tags: architecture-ppc64le bugnameltc-164613 severity-critical 
targetmilestone-inin1804

** Tags added: architecture-ppc64le bugnameltc-164613 severity-critical
targetmilestone-inin1804

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1755153

Title:
  [Ubuntu 18.04] Memory hotplug fails with error
  'virSecurityManagerSetMemoryLabel'

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libvirt/+bug/1755153/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to